Subject: Re: What's cooking in git.git (Aug 2010, #02; Wed, 11)

From: Johannes Sixt <[email-masked]>
Date: Thu, 12 Aug 2010 11:23:39 +0200

[Sorry for the Cc spam; I lack the time to conduct individual messages.]

I compiled many topics in pu and ran the test suite on Windows,
particularly those that "look good" and "will merge to next". Here's a report.

Today's next produces this warning:

merge-recursive.c: In function 'process_df_entry':
merge-recursive.c:1246: warning: unused variable 'o_sha'

(line number may be different) because o_sha is only used inside assert().
I don't know how you would like this fixed.

Am 8/12/2010 1:35, schrieb Junio C Hamano:
> * en/rebase-against-rebase-fix (2010-08-06) 2 commits
>  - pull --rebase: Avoid spurious conflicts and reapplying unnecessary patches
>  - t5520-pull: Add testcases showing spurious conflicts from git pull --rebase

This should not use "sed -i" in the test suite.

> * jn/svn-fe (2010-08-09) 10 commits
>  - svn-fe manual: Clarify warning about deltas in dump files
>  - Update svn-fe manual
>  - SVN dump parser
>  - Infrastructure to write revisions in fast-export format
>  - Add stream helper library
>  - Add string-specific memory pool
>  - Add treap implementation
>  - Add memory pool library
>  - Introduce vcs-svn lib
>  - Export parse_date_basic() to convert a date string to timestamp
> 
> There was a screw-up on my part---I should have dropped the first one and
> branched this off of jn/parse-date-basic (I'll fix it up before merging
> this to 'next').

This fails to build under MinGW because we don't have strtok_r() and a
whole lot of other things that I didn't even look at. Can we have an
opt-in or opt-out for this?

> * gb/shell-ext (2010-07-28) 3 commits
>  - Add sample commands for git-shell
>  - Add interactive mode to git-shell for user-friendliness
>  - Allow creation of arbitrary git-shell commands

This needs work on Windows because we do not have geteuid(), perhaps just
a compiler flag -Dgeteuid=getuid

> * jn/apply-filename-with-sp (2010-07-23) 4 commits
>  - apply: Handle traditional patches with space in filename
>  - t4135 (apply): use expand instead of pr for portability
>  - tests: Test how well "git apply" copes with weird filenames
>  - apply: Split quoted filename handling into new function
> 
> Looked Ok.  Will merge to 'next'.

The test cases that work with files with tabs must have a prerequisite;
see t3600-rm.sh.

> * il/rfc-remote-fd-ext (2010-07-31) 4 commits
>  - Rewrite bidirectional traffic loop
>  - gitignore: Ignore the new /git-remote-{ext,fd} helpers
>  - New remote helper: git-remote-ext
>  - New remote helper git-remote-fd

We do not have EWOULDBLOCK on Windows. Is it needed or could the
respective write() loop in remote-ext.c not be replaced by write_in_full()?

> * en/d-f-conflict-fix (2010-07-27) 7 commits
>   (merged to 'next' on 2010-08-03 at 7f78604)
>  + t/t6035-merge-dir-to-symlink.sh: Remove TODO on passing test
>  + fast-import: Improve robustness when D->F changes provided in wrong order
>  + fast-export: Fix output order of D/F changes
>  + merge_recursive: Fix renames across paths below D/F conflicts
>  + merge-recursive: Fix D/F conflicts
>  + Add a rename + D/F conflict testcase
>  + Add additional testcases for D/F conflicts

The new tests in t/t3509-cherry-pick-merge-df.sh and t9350-fast-export.sh
need SYMLINKS prerequisite.

-- Hannes